## org.aspectj.lang.reflect
Interface PerClause

All Known Subinterfaces:
  PointcutBasedPerClause

    public interface PerClause

AspectJ runtime representation of the per-clause associated with an aspect.

Method Summary
`PerClauseKind` `getKind()` The kind of per-clause (singleton, perthis, pertarget,...)

Method Detail

### getKind

    PerClauseKind getKind()

  The kind of per-clause (singleton, perthis, pertarget,...)